require_relative "player"

module StudioGame
class ClumsyPlayer < Player
  attr_reader :w00t_b00st
  
  def initialize(name, health = 100, w00t_b00st = 1)
    super(name, health)
    @w00t_b00st = w00t_b00st
  end
  
  def found_treasure(treasure)
    damaged_treasure = Treasure.new(treasure.name, treasure.points / 2)
    super(damaged_treasure)
  end
  
  def w00t
    @w00t_b00st.times { super }
  end
  
end  
end


if __FILE__ == $0
  clumsy = StudioGame::ClumsyPlayer.new("klutz")
  puts clumsy.health
  
  hammer = StudioGame::Treasure.new(:hammer, 50)
  clumsy.found_treasure(hammer)
  clumsy.found_treasure(hammer)
  clumsy.found_treasure(hammer)
  crowbar = StudioGame::Treasure.new(:crowbar, 400)
  clumsy.found_treasure(crowbar)
  clumsy.each_treasure do |treasure|
    puts "#{treasure.points} total #{treasure.name} points"
  end
  puts "#{clumsy.points} grand total points"

end